Bug 703304 - Auto membership alternate config area should override default area
Summary: Auto membership alternate config area should override default area
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 690318 389_1.2.9 726742
TreeView+ depends on / blocked
 
Reported: 2011-05-09 21:44 UTC by Nathan Kinder
Modified: 2015-12-10 18:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:39:56 UTC


Attachments (Terms of Use)
Patch (7.05 KB, patch)
2011-05-09 21:48 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Additional patch (1.16 KB, patch)
2011-05-10 15:38 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2011-05-09 21:44:57 UTC
The auto membership plug-in should make the alternate config area (specified as nsslapd-pluginConfigArea) override the default config area.  It currently uses both areas, which could make migrating config from the default area to a shared/replicated area more difficult.  I don't see a strong need for having 2 config areas in use at once, so an override makes sense.

Comment 1 Nathan Kinder 2011-05-09 21:48:34 UTC
Created attachment 497928 [details]
Patch

Comment 2 Nathan Kinder 2011-05-09 22:18:33 UTC
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 1.36 KiB, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   74e8152..aac472b  master -> master

Comment 3 Nathan Kinder 2011-05-10 15:38:55 UTC
Created attachment 498073 [details]
Additional patch

The previous patch left a duplicated logging message in the config loading function.  This removes the extra log message.  Pushed patch to master.

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 721 bytes, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   aac472b..b3f6aad  master -> master


Note You need to log in before you can comment on or make changes to this bug.